: This file creates a raw audio file made up of carrier and silence,
: depending on sequence of 1 and 0.
: NOTE: first line in CODE section MUST use ">" rather than ">>" to properly overwrite old file!

: Device: Synudyne TV
: Command: 

set freq = %1%
set len = %2%

if (%1) == () set freq=18000
if (%2) == () set first= 0.000245
if (%3) == () set second= 0.007373
if (%4) == () set raw= 0.004815
 

: define zero
sox -c1 -r48000 -n -t raw - synth %first% sine %freq%  vol 1 >0.raw
sox -c1 -r48000 -n -t raw - synth %second% sine %freq% vol 0 >>0.raw

: define one
sox -c1 -r48000 -n -t raw - synth %first% sine %freq% vol 1 >1.raw
sox -c1 -r48000 -n -t raw - synth %raw% sine %freq%   vol 0 >>1.raw

::::::::::::::::::::::::::::::::::::::
: Code
::::::::::::::::::::::::::::::::::::::
type 0.raw >base.raw
type 1.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 1.raw >>base.raw
type 1.raw >>base.raw
type 0.raw >>base.raw
type 1.raw >>base.raw
type 1.raw >>base.raw
type 1.raw >>base.raw


