: Without parameters, this batch produces signals using a 18000 Hz carrier 
: and signal chunks 444 microseconds long.
: A "logical 0" is defined in the sampled waveform by a sequence CarrierOff-CarrierOn
: A "logical 1" is defined in the sampled waveform by a sequence CarrierOn-CarrierOff
set freq = %1%
set len = %2%

if (%1) == () set freq=18000
if (%2) == () set first= 0.000444
if (%3) == () set second= 0.000444
if (%4) == () set raw= 0.000444


: define zero
sox -c1 -r48000 -n -t raw - synth %first% sine %freq% vol 0 >0.raw
sox -c1 -r48000 -n -t raw - synth %second% sine %freq% vol 1 >>0.raw

: define one
sox -c1 -r48000 -n -t raw - synth %first% sine %freq% vol 1 >1.raw
sox -c1 -r48000 -n -t raw - synth %second% sine %freq% vol 0 >>1.raw

: define rawhigh
sox -c1 -r48000 -n -t raw - synth %raw% sine %freq% vol 1 >rawhigh.raw

: define rawlow
sox -c1 -r48000 -n -t raw - synth %raw% sine %freq% vol 0 >rawlow.raw


: code

: first command OVERWRITES file (>); next comands APPEND to file (>>).
type rawhigh.raw > base.raw 
type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw
type rawlow.raw >> base.raw
type rawlow.raw >> base.raw

: RC6-Mode6 protocol identifier:
type 1.raw >> base.raw
type 1.raw >> base.raw
type 1.raw >> base.raw
type 0.raw >> base.raw

type rawlow.raw >> base.raw
type rawlow.raw >> base.raw

type rawhigh.raw >> base.raw
type rawhigh.raw >> base.raw

:::::::::::::::::::::::::::::::::::::::
: Actual sky code
:::::::::::::::::::::::::::::::::::::::
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw

type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw
type 0.raw >>base.raw

